import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-lp-tiles',
  templateUrl: './lp-tiles.component.html',
  styleUrls: ['./lp-tiles.component.scss']
})
export class LpTilesComponent implements OnInit {

  @Input() lpdata:any;
  otherIconsLp: boolean = false;
  @Output() lpEditEvent = new EventEmitter();
  @Output() lpDeleteEvent = new EventEmitter();
  @Output() lpViewEvent = new EventEmitter();

  constructor() {
  }

  ngOnInit() {
  }

  deleteLearningPath(lpdata){
    this.lpDeleteEvent.emit(lpdata);
  }

  editLearningPath(lpdata){
    this.lpEditEvent.emit(lpdata);
  }
  showOtherIcons(lpdata){
    this.otherIconsLp = true;
  }

  gotoViewLp(lpdata){
    this.lpViewEvent.emit(lpdata);
  }
}
